Open CASCADE Technology: math_FunctionSet Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
math_FunctionSet Class Referenceabstract

This abstract class describes the virtual functions associated to a set on N Functions of M independant variables. More...

`#include <math_FunctionSet.hxx>`

Inheritance diagram for math_FunctionSet:
[legend]

## Public Member Functions
virtual void | Delete ()
virtual | ~math_FunctionSet ()
virtual Standard_Integer | NbVariables () const =0
| Returns the number of variables of the function. More...
virtual Standard_Integer | NbEquations () const =0
| Returns the number of equations of the function. More...
virtual Standard_Boolean | Value (const math_Vector &X, math_Vector &F)=0
| Computes the values <F> of the functions for the variable <X>. returns True if the computation was done successfully, False otherwise. More...
virtual Standard_Integer | GetStateNumber ()
| Returns the state of the function corresponding to the latestcall of any methods associated with the function. This function is called by each of the algorithms described later which define the function Integer Algorithm::StateNumber(). The algorithm has the responsibility to call this function when it has found a solution (i.e. a root or a minimum) and has to maintain the association between the solution found and this StateNumber. Byu default, this method returns 0 (which means for the algorithm: no state has been saved). It is the responsibility of the programmer to decide if he needs to save the current state of the function and to return an Integer that allows retrieval of the state. More...

## Detailed Description

This abstract class describes the virtual functions associated to a set on N Functions of M independant variables.

## Constructor & Destructor Documentation

virtual math_FunctionSet::~math_FunctionSet | ( |  | ) |
| inlinevirtual

## Member Function Documentation

virtual void math_FunctionSet::Delete | ( |  | ) |
| virtual

virtual Standard_Integer math_FunctionSet::GetStateNumber | ( |  | ) |
| virtual

Returns the state of the function corresponding to the latestcall of any methods associated with the function. This function is called by each of the algorithms described later which define the function Integer Algorithm::StateNumber(). The algorithm has the responsibility to call this function when it has found a solution (i.e. a root or a minimum) and has to maintain the association between the solution found and this StateNumber. Byu default, this method returns 0 (which means for the algorithm: no state has been saved). It is the responsibility of the programmer to decide if he needs to save the current state of the function and to return an Integer that allows retrieval of the state.

Reimplemented in Extrema_FuncExtPS, Extrema_FuncExtCS, Extrema_CCLocFOfLocECC, Extrema_CCLocFOfLocECC2d, and Extrema_FuncExtSS.

virtual Standard_Integer math_FunctionSet::NbEquations | ( |  | ) | const
| pure virtual

Returns the number of equations of the function.

Implemented in Geom2dGcc_FunctionTanCuCuOnCu, Extrema_FuncExtPS, BlendFunc_CSCircular, BRepBlend_RstRstEvolRad, BRepBlend_SurfRstEvolRad, Geom2dGcc_FunctionTanCuCuCu, BRepBlend_RstRstConstRad, Contap_SurfFunction, BRepBlend_SurfRstConstRad, BlendFunc_EvolRad, GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox, IntPatch_TheSurfFunction, BlendFunc_ConstRad, BRepApprox_TheZerImpFuncOfTheImpPrmSvSurfacesOfApprox, BlendFunc_CSConstRad, Extrema_CCLocFOfLocECC, Extrema_CCLocFOfLocECC2d, Blend_RstRstFunction, Blend_SurfRstFunction, BRepBlend_SurfCurvEvolRadInv, BlendFunc_ChAsym, BlendFunc_Ruled, Extrema_FuncExtCS, Blend_CSFunction, BRepBlend_SurfCurvConstRadInv, BRepBlend_SurfPointEvolRadInv, GeomFill_FunctionGuide, Blend_Function, BlendFunc_Chamfer, Blend_AppFunction, BRepBlend_SurfPointConstRadInv, BlendFunc_EvolRadInv, GeomInt_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfWLApprox, IntWalk_TheFunctionOfTheInt2S, Geom2dGcc_FunctionTanCuCu, BRepBlend_CurvPointRadInv, BlendFunc_ChamfInv, BlendFunc_ChAsymInv, Extrema_FuncExtSS, BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox, BlendFunc_ConstRadInv, BlendFunc_RuledInv, Blend_SurfCurvFuncInv, Blend_FuncInv, FEmTool_ElementsOfRefMatrix, IntPatch_CSFunction, Blend_SurfPointFuncInv, Blend_CurvPointFuncInv, IntCurveSurface_TheCSFunctionOfHInter, GeomFill_FunctionDraft, HLRBRep_TheCSFunctionOfInterCSurf, ProjLib_PrjFunc, Geom2dInt_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfGInter, HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter, math_FunctionSetWithDerivatives, and FairCurve_DistributionOfEnergy.

virtual Standard_Integer math_FunctionSet::NbVariables | ( |  | ) | const
| pure virtual

Returns the number of variables of the function.

Implemented in Geom2dGcc_FunctionTanCuCuOnCu, Extrema_FuncExtPS, BlendFunc_CSCircular, BRepBlend_RstRstEvolRad, BRepBlend_SurfRstEvolRad, Geom2dGcc_FunctionTanCuCuCu, BRepBlend_RstRstConstRad, Contap_SurfFunction, BRepBlend_SurfRstConstRad, GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox, IntPatch_TheSurfFunction, BRepApprox_TheZerImpFuncOfTheImpPrmSvSurfacesOfApprox, Extrema_CCLocFOfLocECC, Extrema_CCLocFOfLocECC2d, Blend_RstRstFunction, Blend_SurfRstFunction, Extrema_FuncExtCS, Blend_CSFunction, GeomFill_FunctionGuide, Blend_Function, GeomInt_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfWLApprox, IntWalk_TheFunctionOfTheInt2S, Blend_AppFunction, Extrema_FuncExtSS, Geom2dGcc_FunctionTanCuCu, BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox, Blend_SurfCurvFuncInv, IntPatch_CSFunction, Blend_FuncInv, FEmTool_ElementsOfRefMatrix, Blend_SurfPointFuncInv, IntCurveSurface_TheCSFunctionOfHInter, Blend_CurvPointFuncInv, GeomFill_FunctionDraft, HLRBRep_TheCSFunctionOfInterCSurf, ProjLib_PrjFunc, Geom2dInt_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfGInter, HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter, math_FunctionSetWithDerivatives, and FairCurve_DistributionOfEnergy.

virtual Standard_Boolean math_FunctionSet::Value | ( | const math_Vector & | X,
|  | math_Vector & | F
| ) |  |
| pure virtual

Computes the values <F> of the functions for the variable <X>. returns True if the computation was done successfully, False otherwise.

Implemented in BlendFunc_ChAsym, Geom2dGcc_FunctionTanCuCuOnCu, BlendFunc_CSCircular, Extrema_FuncExtPS, BRepBlend_RstRstEvolRad, BRepBlend_SurfRstEvolRad, BRepBlend_RstRstConstRad, BRepBlend_SurfRstConstRad, Geom2dGcc_FunctionTanCuCuCu, Contap_SurfFunction, BlendFunc_EvolRad, BlendFunc_ConstRad, BlendFunc_CSConstRad, Blend_RstRstFunction, BlendFunc_ChAsymInv, GeomInt_TheZerImpFuncOfTheImpPrmSvSurfacesOfWLApprox, IntPatch_TheSurfFunction, Blend_SurfRstFunction, BRepBlend_SurfCurvEvolRadInv, BRepApprox_TheZerImpFuncOfTheImpPrmSvSurfacesOfApprox, BlendFunc_Ruled, Blend_CSFunction, BRepBlend_SurfCurvConstRadInv, BRepBlend_SurfPointEvolRadInv, Extrema_CCLocFOfLocECC, Extrema_CCLocFOfLocECC2d, GeomFill_FunctionGuide, Blend_Function, BlendFunc_Chamfer, Blend_AppFunction, BRepBlend_SurfPointConstRadInv, BlendFunc_EvolRadInv, Extrema_FuncExtCS, BRepBlend_CurvPointRadInv, BlendFunc_ChamfInv, FEmTool_ElementsOfRefMatrix, Geom2dGcc_FunctionTanCuCu, BlendFunc_ConstRadInv, BlendFunc_RuledInv, Blend_SurfCurvFuncInv, Blend_FuncInv, Extrema_FuncExtSS, GeomInt_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfWLApprox, IntWalk_TheFunctionOfTheInt2S, Blend_SurfPointFuncInv, BRepApprox_TheFunctionOfTheInt2SOfThePrmPrmSvSurfacesOfApprox, Blend_CurvPointFuncInv, GeomFill_FunctionDraft, ProjLib_PrjFunc, IntPatch_CSFunction, IntCurveSurface_TheCSFunctionOfHInter, FairCurve_DistributionOfTension, HLRBRep_TheCSFunctionOfInterCSurf, math_FunctionSetWithDerivatives, FairCurve_DistributionOfJerk, FairCurve_DistributionOfSagging, Geom2dInt_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfGInter, and HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter.

The documentation for this class was generated from the following file:

- math_FunctionSet.hxx